TODO.

Use a proper CDDB library that the rest of kde uses.
- Support for local CDDB directories as in kscd or audiocd-kioslave.

Add audiocd ioslave config (or the cddb lib config) to the configure dialog
-Multiple Artists for 1 album.
-Auto replace text dialog (replace X with Y such as " " with "_")
Use same encoding options that audiocd has

Correct for special charactors such as / and "
> Maybe use ->KShellProcess.clear() or whatnot.

Check to see if the ripped (wav) file exists before encoding.

Check to see if the encoded binary exists before encoding (which?).

Rip and encode only 1 song at a time. (i.e. what the audioslave does now, but with a gui).

Add the ability to encode files

Option to automaticly remove completed jobs.

By default have the temp dir when ripping removed.

Add cancel button to options (i.e remove the functionality from those widgets).

When printing encoding, it would be nice if it would say it's encoding to what (mp3, ogg, whatever)


I found a bug in kaudiocreator from the kdemultimedia-20020809 snapshot:
If the file format in the Ripper Config contains something like ".../%track - 
%song.wav", the ripper save the file with " around the track number and lame 
can't find this file because it search for a file without the ".

- Album Editor: Button for next and previous Track.


CDDBLib people to e-mail
-MadCoder <pierre.habouzit@m4x.org>
